Displaying 10 results from an estimated 10 matches for "scratch_mnt".
2013 Nov 15
7
[PATCH 1/2] xfstests: add generic/321 to test fsync() on directories V2
...a/tests/generic/311
+++ b/tests/generic/311
@@ -41,17 +41,14 @@ status=1 # failure is the default!
_cleanup()
{
- # If dmsetup load fails then we need to make sure to do resume here
- # otherwise the umount will hang
- $DMSETUP_PROG resume flakey-test > /dev/null 2>&1
- $UMOUNT_PROG $SCRATCH_MNT > /dev/null 2>&1
- $DMSETUP_PROG remove flakey-test > /dev/null 2>&1
+ _cleanup_flakey
}
trap "_cleanup; exit \$status" 0 1 2 3 15
# get standard environment, filters and checks
. ./common/rc
. ./common/filter
+. ./common/dmflakey
# real QA test starts here...
2013 Oct 28
0
[PATCH] xfstests: add generic/320 to test fsync() on directories V2
...180 0"
+ FLAKEY_TABLE_DROP="0 $BLK_DEV_SIZE flakey $SCRATCH_DEV 0 0 180 1 drop_writes"
+ $DMSETUP_PROG create flakey-test --table "$FLAKEY_TABLE" || \
+ _fatal "failed to create flakey device"
+}
+
+_mount_flakey()
+{
+ mount -t $FSTYP $MOUNT_OPTIONS $FLAKEY_DEV $SCRATCH_MNT
+}
+
+_unmount_flakey()
+{
+ $UMOUNT_PROG $SCRATCH_MNT
+}
+
+_cleanup_flakey()
+{
+ # If dmsetup load fails then we need to make sure to do resume here
+ # otherwise the umount will hang
+ $DMSETUP_PROG resume flakey-test > /dev/null 2>&1
+ $UMOUNT_PROG $SCRATCH_MNT > /dev/null 2>&a...
2013 Jul 01
1
[PATCH v2] xfstests: btrfs/316: cross-subvolume sparse copy
...0-1301 USA
+#-----------------------------------------------------------------------
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1 # failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+ umount $SCRATCH_MNT
+ rm -rf $TESTDIR1
+ rm -rf $TESTDIR2
+ btrfs subvolume delete $SUBVOL1 >> $seqres.full
+ btrfs subvolume delete $SUBVOL2 >> $seqres.full
+ cd /
+ rm -f $tmp.*
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+
+# real QA test star...
2013 May 20
1
[PATCH] xfstests: btrfs 308: regression test for btrfs send
...;_cleanup ; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+
+# real QA test starts here
+_supported_fs btrfs
+_supported_os Linux
+_require_scratch
+
+_scratch_mkfs > /dev/null 2>&1
+_scratch_mount
+
+dd if=/dev/zero of=$SCRATCH_MNT/foo bs=1M count=10 > /dev/null 2>&1
+sync
+$BTRFS_UTIL_PROG subvol snap -r $SCRATCH_MNT $SCRATCH_MNT/snap > /dev/null 2>&1
+dd if=/dev/zero of=$SCRATCH_MNT/foo bs=1M count=10 oflag=append > /dev/null 2>&1
+sync
+
+# We need to hold the file open, tail -f makes the outp...
2013 May 03
3
[PATCH] xfstests: unmount scratch mnt in test 307
...sdc"
and then when you mkfs this you do _scratch_mkfs $SCRATCH_DEV_POOL which turns
into this
mkfs.btrfs /dev/sdb /dev/sdc /dev/sda
becuase we do
mkfs $* $SCRATCH_DEV
Then btrfs will always show the lowest devid in /proc/mounts to maintain
consistency, so even though we do mount /dev/sda $SCRATCH_MNT, you will see
/dev/sdb as the mounted device in /proc/mounts. So then say the next test wants
to just use $SCRATCH_DEV, it will do _require_scratchdev which will check to see
if $SCRATCH_DEV is mounted, which it will look like it is not because
/proc/mounts shows /dev/sdb instead of /dev/sda, and...
2013 Jul 02
6
[PATCH v3] xfstests: btrfs/316: cross-subvolume sparse copy
...0-1301 USA
+#-----------------------------------------------------------------------
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1 # failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+ umount $SCRATCH_MNT
+ rm -rf $TESTDIR1
+ rm -rf $TESTDIR2
+ btrfs subvolume delete $SUBVOL1 >> $seqres.full
+ btrfs subvolume delete $SUBVOL2 >> $seqres.full
+ cd /
+ rm -f $tmp.*
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+
+# real QA test star...
2013 Aug 16
2
[PATCH] xfstests: update filters and output of btrfs/006
...uot; | sort | uniq $UNIQ_OPT | \
sed -e "s/$NUMDEVS /<NUMDEVS> /g"
}
diff --git a/tests/btrfs/006 b/tests/btrfs/006
index 9f7beff..f323cc4 100755
--- a/tests/btrfs/006
+++ b/tests/btrfs/006
@@ -82,13 +82,13 @@ echo "== Sync filesystem"
$BTRFS_UTIL_PROG filesystem sync $SCRATCH_MNT | _filter_scratch
echo "== Show device stats by mountpoint"
-$BTRFS_UTIL_PROG device stats $SCRATCH_MNT | _filter_btrfs_device_stats $TOTAL_DEVS
+$BTRFS_UTIL_PROG device stats $SCRATCH_MNT | _filter_btrfs_device_stats $TOTAL_DEVS | _filter_spaces
echo "== Show device stats by fir...
2013 Jul 02
2
[PATCH] xfstests: make the scratch device for generic/256 slightly larger
...# Make a small file system to fill
umount $SCRATCH_DEV &> /dev/null
-_scratch_mkfs_sized $(( 1024 * 1024 * 1024 )) &> /dev/null
+_scratch_mkfs_sized $(( 1536 * 1024 * 1024 )) &> /dev/null
_scratch_mount
# Test must be able to write files with non-root permissions
chmod 777 $SCRATCH_MNT
--
1.7.7.6
--
To unsubscribe from this list: send the line "unsubscribe linux-btrfs" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
2020 Jun 18
0
[PATCH AUTOSEL 5.4 096/266] virtiofs: schedule blocking async replies in separate worker
...In virtiofs (unlike in regular fuse) processing of async replies is
serialized. This can result in a deadlock in rare corner cases when
there's a circular dependency between the completion of two or more async
replies.
Such a deadlock can be reproduced with xfstests:generic/503 if TEST_DIR ==
SCRATCH_MNT (which is a misconfiguration):
- Process A is waiting for page lock in worker thread context and blocked
(virtio_fs_requests_done_work()).
- Process B is holding page lock and waiting for pending writes to
finish (fuse_wait_on_page_writeback()).
- Write requests are waiting in virtqueue a...
2020 Jun 18
0
[PATCH AUTOSEL 5.7 131/388] virtiofs: schedule blocking async replies in separate worker
...In virtiofs (unlike in regular fuse) processing of async replies is
serialized. This can result in a deadlock in rare corner cases when
there's a circular dependency between the completion of two or more async
replies.
Such a deadlock can be reproduced with xfstests:generic/503 if TEST_DIR ==
SCRATCH_MNT (which is a misconfiguration):
- Process A is waiting for page lock in worker thread context and blocked
(virtio_fs_requests_done_work()).
- Process B is holding page lock and waiting for pending writes to
finish (fuse_wait_on_page_writeback()).
- Write requests are waiting in virtqueue a...